Subject: Re: libpam-ck-connector: pam_ck_connector logs cannot determine display-device when non-interactive

From: Arne Wichmann <[email-masked]>
Date: Thu, 2 Apr 2020 13:12:14 +0200

Hi, and thanks for taking the time.

begin  quotation  from Mark Hindley (in <[email-masked]>):
> On Wed, Apr 01, 2020 at 04:52:49PM +0100, Mark Hindley wrote:
> > On Thu, 29 Aug 2019 15:09:20 +0200 Arne Wichmann <[email-masked]> wrote:
> > > Package: libpam-ck-connector
> > > Version: 1.2.1-4
> > > Severity: normal
> > > 
> > > Good day to you.
> > > 
> > > When doing as root:
> > >   echo 'su $USER ls'|at now
> > > auth.log logs
> > >   [...] su: pam_ck_connector(su:session): cannot determine display-device
> > > 
> > > I presume that is because there rightfully is none.
> > 
> > I have just tried this in a beowulf VM and cannot reproduce it.
> 
> I have managed to reproduce this.
> 
> I can't immediately see there is a bug in what consolekit is doing. As you say,
> there is no display device.
> 
> If you want to avoid the messages appearing in your logs, then I suggest the
> following rsyslog configuration (or something similar to your taste).
> 
> % cat /etc/rsyslog.d/10-local.conf
> :msg, contains, "cannot determine display-device" ~

I should note that.

> That filters the messages for me.
> 
> Is that a solution for you?

Well - the bug is mostly logging as an error which is at most an info: not
having a display device should be considered a normal case, it can happen
for quite a number of reasons.

I surely can make the message go away.

cu

AW
-- 
[...] If you don't want to be restricted, don't agree to it. If you are
coerced, comply as much as you must to protect yourself, just don't support
it. Noone can free you but yourself. (crag, on Debian Planet)
Arne Wichmann ([email-masked])